GHSA-92wp-jghr-hh87

Suggest an improvement
Source
https://github.com/advisories/GHSA-92wp-jghr-hh87
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2024/06/GHSA-92wp-jghr-hh87/GHSA-92wp-jghr-hh87.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-92wp-jghr-hh87
Aliases
Published
2024-06-07T00:30:37Z
Modified
2024-06-07T19:59:12.586366Z
Summary
Weak encryption in Ninja Core
Details

The encrypt() function of Ninja Core v7.0.0 was discovered to use a weak cryptographic algorithm, leading to a possible leakage of sensitive information.

References

Affected packages

Maven / org.ninjaframework:ninja-core

Package

Name
org.ninjaframework:ninja-core
View open source insights on deps.dev
Purl
pkg:maven/org.ninjaframework/ninja-core

Affected ranges

Affected versions

7.*

7.0.0